# Описание
Подсвечивает вывод в консоль методами log, info и error
Подмешивает в стандартный вывод log и info информацию о файле и месте вызова
Позволяет отобразить trace для log и info

# Подключение
```
const logger = require('@vl-utils/log')
const loggerManage = logger()
// or
const loggerManage = logger({
  lim: 2,
  showTrace: true
})
```
* lim - default:1 - количество отображаемых элементов истории вызова
* showTrace - default:false - отображать ли trace

# Использование
```
console.log('log')      
// -->   tests\test.log-2.js:8: Object.simpleUsage(): log
```

Варианты вывода
```
// сменить уровень логирования
loggerManage.lim = 2    
console.log('log')      
// -->   tests\test.log.js:8: ->tests\test.log-2.js:8: Object.simpleUsage(): log

// сменить отображение trace
loggerManage.showTrace = true   
console.log('log')
/*
tests\test.log.js:11: ->tests\test.log-2.js:8: Object.simpleUsage(): log
    at Object.console.log (~\log\index.js:63:21)
    at Object.simpleUsage (~\log\tests\test.log-2.js:8:13)
    at Object.<anonymous> (~\log\tests\test.log.js:11:9)
    at Module._compile (internal/modules/cjs/loader.js:1185:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:1205:10)
    at Module.load (internal/modules/cjs/loader.js:1034:32)
    at Function.Module._load (internal/modules/cjs/loader.js:923:14)
    at Function.executeUserEntryPoint [as runMain] (internal/modules/run_main.js:71:12)
    at internal/main/run_main_module.js:17:47
*/
```

# Запланированные обновления
* Добавить функцию-хэндлер, которая будет вызываться при логировании.
* Реализовать уровневость логов, используя стандртные методы info, warn и т.д.
